%define anolis_release 1
Name:           webrtc-audio-processing
Version:        1.3
Release:        %{anolis_release}%{?dist}
Summary:        Library for echo cancellation

License:        BSD and MIT
URL:            http://www.freedesktop.org/software/pulseaudio/webrtc-audio-processing/
Source0:        http://freedesktop.org/software/pulseaudio/webrtc-audio-processing/%{name}-%{version}.tar.gz

BuildRequires: meson
BuildRequires: libtool
BuildRequires: gcc gcc-c++ abseil-cpp abseil-cpp-devel abseil-cpp-testing
Patch001: add-loongarch64-and-riscv64-support.patch

%description
%{name} is a library derived from Google WebRTC project that 
provides echo cancellation functionality. This library is used by for example
PulseAudio to provide echo cancellation.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header
files for developing applications that use %{name}.

%prep
%autosetup -p1

	
%build
%meson
%meson_build \
#%%ifarch %%{arm} aarch64
#  -Dneon=no \
#%endif
 
 
%install
%meson_install

# remove libtool archives
find %{buildroot} -type f -name "*.la" -delete


%ldconfig_scriptlets

%files
%license COPYING
%{_libdir}/libwebrtc-audio-coding-1.so.3*
%{_libdir}/libwebrtc-audio-processing-1.so.3*

%files doc
%doc NEWS AUTHORS README.md

%files devel
%{_libdir}/libwebrtc-audio-coding-1.so
%{_libdir}/libwebrtc-audio-processing-1.so
%{_libdir}/pkgconfig/webrtc-audio-coding-1.pc
%{_libdir}/pkgconfig/webrtc-audio-processing-1.pc
%{_includedir}/webrtc-audio-processing-1/

%changelog
* Fri Jun 20 2025 zjl02254423 <zjl02254423@alibaba-inc.com> - 1.3-1
- update to 1.3 

* Sun Apr 27 2025 Shangtong Guo <guo.shangtong@zte.com.cn> - 0.3.1-4
- add support for riscv64 build

* Mon Aug 28 2023 Wenlong Zhang <zhangwenlong@loongson.cn> - 0.3.1-3
- add loongarch64 support for webrtc-audio-processing

* Sun Oct 09 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.3.1-2
- add doc package

* Thu Apr 14 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 0.3.1-1
- init from upstream
